<?php
/**
 * @package SJ Listing Tabs For K2
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */

defined('_JEXEC') or die;
$cat_image_config = array(
    'type' => $params->get('imgcfgcat_type'),
    'width' => $params->get('imgcfgcat_width'),
    'height' => $params->get('imgcfgcat_height'),
    'quality' => 90,
    'function' => ($params->get('imgcfgcat_function') == 'none') ? null : 'resize',
    'function_mode' => ($params->get('imgcfgcat_function') == 'none') ? null : substr($params->get('imgcfgcat_function'), 7),
    'transparency' => $params->get('imgcfgcat_transparency', 1) ? true : false,
    'background' => $params->get('imgcfgcat_background'));
?>
<div class="ltabs-tabs-wrap">
    <span class='ltabs-tab-selected'></span>
    <span class='ltabs-tab-arrow'>&#9660;</span>
    <ul class="ltabs-tabs cf">
        <?php
        foreach ($tabs as $index => $tab) {
			$index = $tab->id; ?>
                <li class="ltabs-tab <?php echo isset($tab->sel) ? '  tab-sel tab-loaded' : ''; ?> "
                    data-category-id="<?php echo $index; ?>"
                    data-field_order="<?php echo $index; ?>"
                    data-active-content=".items-category-<?php echo $index; ?>">
					<span class="ltabs-tab-label"><?php echo K2SuperCategoryHelper::truncate($tab->name, $params->get('tab_max_characters')); ?></span>
                </li>
        <?php } ?>
    </ul>
</div>
